2 Replies Latest reply: Feb 12, 2013 3:49 PM by lllaass
psp91 Level 1 Level 1 (0 points)

my ipod says it needs the ios 5 update . how do i do that ?


iPod touch, iOS 4.2